
%define plugin	xineliboutput
%define name	vdr-plugin-%plugin
# manually created tarball from CVS tag
%define version	1.0.5
%define snapshot 0
%define prever	0
%define rel	4
# Please update xine-xvdr as well.
# It uses the same tarball but builds xine1.2-xvdr subpackage
# equivalent for stable xine.

%if %snapshot
%if %prever
%define release	%mkrel 0.%prever.%snapshot.%rel
%else
%define release %mkrel 0.%snapshot.%rel
%endif
%else
%if %prever
%define release %mkrel 0.%prever.%rel
%else
%define release %mkrel %rel
%endif
%endif

%define xineplugindir	%(xine-config --plugindir 2>/dev/null || echo 0)
# Does not always match rpm version, reports 1.1.9 on 1.1.9.1, so use rpmver directly instead.
#define xineversion	%(xine-config --version 2>/dev/null || echo 0)
%define xineversion	%(rpm -qf --qf '%%{version}' %{_bindir}/xine-config 2>/dev/null || echo 0)
%define xineapi		%(A=%xineplugindir; echo ${A##*/})

Summary:	VDR plugin: X11/xine-lib output plugin
Name:		%name
Version:	%version
Release:	%release
Group:		Video
License:	GPLv2+
URL:		http://sourceforge.net/projects/xineliboutput/
%if %snapshot
Source:		vdr-%plugin-%snapshot.tar.bz2
%else
%if %prever
Source:		http://prdownloads.sourceforge.net/xineliboutput/vdr-%plugin-%{version}%{prever}.tar.bz2
%else
Source:		http://prdownloads.sourceforge.net/xineliboutput/vdr-%plugin-%version.tar.bz2
%endif
%endif
# fix build with libextractor 0.6+, from upstream:
Patch0:		xineliboutput-extractor-metainfo-menu1.patch
Patch1:		xineliboutput-extractor-metainfo-menu2.patch
Patch2:		xineliboutput-extractor-playlist.patch
Patch3:		xineliboutput-extractor-playlist2.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	libx11-devel
BuildRequires:	libxv-devel
BuildRequires:	xine1.2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libextractor-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxinerama-devel
BuildRequires:	dbus-glib-devel
Requires:	vdr-abi = %vdr_abi

%description
Framebuffer and/or X11 front-end for VDR. Displays OSD and video in
a raw X/Xv/XvMC window, Linux framebuffer/DirectFB or xine.

Support for local and standalone ("remote") frontends. The plugin is
able to use local pipe, RTP/UDP multicast, UDP unicast and TCP to
transfer the data to the standalone clients.

Built-in image and media player supports playback of most known
media files and network radio/video streams directly from VDR.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n xine1.2-xvdr
Group:		Video
Summary:	Xine frontend for the xineliboutput VDR plugin
Requires:	%{_lib}xine2-plugin-api >= %xineapi
Provides:	vdr-plugin-xineliboutput-frontend-xine
Obsoletes:	vdr-plugin-xineliboutput-frontend-xine
Provides:	xineliboutput-fe-xine
Obsoletes:	xineliboutput-fe-xine

%description -n xine1.2-xvdr
With this package you can connect to your VDR with xine1.2 with an MRL
like below:
xvdr://127.0.0.1#nocache;demux:mpeg_block

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-local-sxfe
Group:		Video
Summary:	Local X11 frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Requires:	%name = %version
Provides:	vdr-plugin-xineliboutput-frontend-local-x11
Obsoletes:	vdr-plugin-xineliboutput-frontend-local-x11
Provides:	xineliboutput-fe-local-x11
Obsoletes:	xineliboutput-fe-local-x11
Provides:	xineliboutput-fe-x11
Obsoletes:	xineliboutput-fe-x11

%description -n %plugin-local-sxfe
Local X11 frontend for the xineliboutput VDR plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-local-fbfe
Group:		Video
Summary:	Local framebuffer/DirectFB frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Requires:	%name = %version
Provides:       vdr-plugin-xineliboutput-frontend-local-fb
Obsoletes:      vdr-plugin-xineliboutput-frontend-local-fb
Provides:	xineliboutput-fe-local-fb
Obsoletes:	xineliboutput-fe-local-fb
Provides:	xineliboutput-fe-fb
Obsoletes:	xineliboutput-fe-fb

%description -n %plugin-local-fbfe
Local framebuffer/DirectFB frontend for the xineliboutput VDR
plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-sxfe
Group:		Video
Summary:	Standalone X11 frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Provides:       vdr-plugin-xineliboutput-frontend-standalone-x11
Obsoletes:      vdr-plugin-xineliboutput-frontend-standalone-x11
Provides:	xineliboutput-fe-standalone-x11
Obsoletes:	xineliboutput-fe-standalone-x11
Provides:	xineliboutput-fe-x11
Obsoletes:	xineliboutput-fe-x11

%description -n %plugin-sxfe
Standalone X11 frontend for the xineliboutput VDR plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-fbfe
Group:		Video
Summary:	Standalone framebuffer/DirectFB frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Provides:       vdr-plugin-xineliboutput-frontend-standalone-fb
Obsoletes:      vdr-plugin-xineliboutput-frontend-standalone-fb
Provides:	xineliboutput-fe-standalone-fb
Obsoletes:	xineliboutput-fe-standalone-fb
Provides:	xineliboutput-fe-fb
Obsoletes:	xineliboutput-fe-fb

%description -n %plugin-fbfe
Standalone framebuffer/DirectFB frontend for the xineliboutput VDR
plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%prep
%if %snapshot
%setup -q -n vdr-%plugin
%else
%if %prever
%setup -q -n %plugin-%version%prever
%else
%setup -q -n %plugin-%version
%endif
%endif
%apply_patches
%vdr_plugin_prep

find -name CVS -type d | while read i; do rm -r "$i" || exit 1; done
perl -pi -e 's,X11R6/lib,X11R6/%{_lib},' Makefile

%vdr_plugin_params_begin %plugin
# Local frontend
# Supported frontends:
# sxfe (X11)
# fbfe (framebuffer)
# none (only remote frontends)
var=LOCAL
param=--local=LOCAL
# Port where to listen for remote clients
# none or 0 disables remote mode
var=REMOTE_PORT
param=--remote=REMOTE_PORT
# Audio driver
# Supported values: auto, alsa, oss, esound, none
var=AUDIO
param=--audio=AUDIO
# Video driver
# Supported values:
# for sxfe: auto, x11, xshm, xv, xvmc, xxmc, vdpau, vidix, sdl, opengl, none
# for fbfe: auto, fb, DirectFB, vidixfb, sdl, dxr3, aadxr3, none
var=VIDEO
param=--video=VIDEO
# Fullscreen mode (X11)
var=FULLSCREEN
param=--fullscreen
# Head Up Display OSD (X11)
var=HUD
param=-D
# Window width
var=WIDTH
param=--width=WIDTH
# Window height
var=HEIGHT
param=--height=HEIGHT
# Use X11 display DISP
var=DISP
param=--display=DISP
# Use xine post plugin POST
# format: pluginname[:arg=val[,arg=val]][,...]
# example: "upmix;tvtime:enabled=1,cheap_mode=1"
var=POST
param=--post=POST
# Force xineliboutput to be primary device when
# there are active frontend(s)
var=PRIMARY
param=--primary
# Exit vdr when local frontend window is closed. You may also want
# to define VDR_MAX_RESTART=0 in /etc/sysconfig/vdr.
var=EXIT_ON_CLOSE
param=--exit-on-close
# Use custom xine-lib config file
var=XINE_LIB_CONFIG
param="-C XINE_LIB_CONFIG"
%vdr_plugin_params_end

mkdir xine-plugins

%build

%vdr_plugin_build VDRINCDIR=%{_includedir}

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %buildroot%xineplugindir/post %buildroot%_bindir

%makeinstall BINDIR=%buildroot%_bindir XINEPLUGINDIR=%buildroot%xineplugindir VDRDIR=.

install -m755 libxineliboutput-*.so.* %{buildroot}%{_vdr_plugin_dir}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%clean
rm -rf %{buildroot}

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY examples

%files -n xine1.2-xvdr
%defattr(-,root,root)
%doc README
# xine-plugins maybe upgraded without new xine-xvdr (while everything still
# works). Therefore we have to include the plugindir as well.
%dir %{xineplugindir}
%{xineplugindir}/*.so
%{xineplugindir}/post/*.so

%files -n %plugin-local-fbfe
%defattr(-,root,root)
%doc README
%dir %{_vdr_plugin_dir}
%{_vdr_plugin_dir}/libxineliboutput-fbfe.so.*

%files -n %plugin-local-sxfe
%defattr(-,root,root)
%doc README
%dir %{_vdr_plugin_dir}
%{_vdr_plugin_dir}/libxineliboutput-sxfe.so.*

%files -n %plugin-fbfe
%defattr(-,root,root)
%doc README
%_bindir/vdr-fbfe

%files -n %plugin-sxfe
%defattr(-,root,root)
%doc README
%_bindir/vdr-sxfe


%changelog
* Fri May 21 2010 Anssi Hannula <anssi@mandriva.org> 1.0.5-4mdv2010.1
+ Revision: 545661
- fix build with libextractor 0.6+ (patches from upstream)

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.0.5-3mdv2010.1
+ Revision: 492343
- rebuild for new libjpeg v8

* Fri Jan 08 2010 Anssi Hannula <anssi@mandriva.org> 1.0.5-2mdv2010.1
+ Revision: 487426
- build against xine1.2
- split xine-xvdr (xine1.1 frontend) to a separate source package

* Wed Jan 06 2010 Anssi Hannula <anssi@mandriva.org> 1.0.5-1mdv2010.1
+ Revision: 486556
- new version 1.0.5
- drop gcc4.4.patch, applied upstream

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 1.0.4-4mdv2010.0
+ Revision: 419879
- rebuild for new libjpeg v7

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 1.0.4-3mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- fix build with gcc4.4 (const-char-gcc4.4.patch from upstream cvs)
- do not create dirs outside buildroot in %%install

* Sat Apr 11 2009 Anssi Hannula <anssi@mandriva.org> 1.0.4-2mdv2009.1
+ Revision: 366428
- rebuild for new xine-lib

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 1.0.4-1mdv2009.1
+ Revision: 359391
- new version
- drop underlinking.patch, applied upstream
- rebuild for new vdr

* Sat Jan 10 2009 Anssi Hannula <anssi@mandriva.org> 1.0.3-2mdv2009.1
+ Revision: 328082
- rebuild for new xine-lib

* Sat Nov 15 2008 Anssi Hannula <anssi@mandriva.org> 1.0.3-1mdv2009.1
+ Revision: 303495
- new version
- fix underlinking (P0)

* Sun May 11 2008 Anssi Hannula <anssi@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 205444
- new version
- apply new license policy

* Wed May 07 2008 Anssi Hannula <anssi@mandriva.org> 1.0.1-0.20080507.1mdv2009.0
+ Revision: 203426
- new snapshot

* Sun May 04 2008 Anssi Hannula <anssi@mandriva.org> 1.0.1-0.20080504.1mdv2009.0
+ Revision: 200988
- new snapshot

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-8mdv2009.0
+ Revision: 197999
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-7mdv2009.0
+ Revision: 197744
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- enable gettext i18n

* Mon Apr 21 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-6mdv2009.0
+ Revision: 196223
- use xine-plugin-api on 2008.0 as well (backports)

* Thu Apr 17 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-5mdv2009.0
+ Revision: 195315
- final 1.0.0 release

* Wed Mar 19 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.20080125.4mdv2008.1
+ Revision: 189042
- require xine-plugin-api instead of xine-plugins on 2008.1+
- fix build when gettext is installed

* Sat Feb 09 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.20080125.3mdv2008.1
+ Revision: 164468
- rebuild for new xine-lib

* Sun Jan 27 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.20080125.2mdv2008.1
+ Revision: 158912
- rebuild for new xine-lib

* Fri Jan 25 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.20080125.1mdv2008.1
+ Revision: 158040
- new snapshot

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.12mdv2008.1
+ Revision: 155275
- fix versioned requires

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.11mdv2008.1
+ Revision: 155274
- use rpm version for xine-plugins dependency instead of using
  xine-config --version

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.10mdv2008.1
+ Revision: 155235
- rebuild

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.9mdv2008.1
+ Revision: 155149
- rebuild for new xine-lib

* Sat Jan 12 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.8mdv2008.1
+ Revision: 149380
- rebuild for new xine-lib

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.7mdv2008.1
+ Revision: 145267
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.6mdv2008.1
+ Revision: 103251
- rebuild for new vdr

* Sat Sep 01 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.5mdv2008.0
+ Revision: 77396
- rebuild for new xine-lib

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.4mdv2008.0
+ Revision: 50063
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.3mdv2008.0
+ Revision: 42146
- rebuild for new vdr

* Fri Jun 08 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.2mdv2008.0
+ Revision: 36955
- rebuild for new xine-lib

* Sun May 20 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc2.1mdv2008.0
+ Revision: 28952
- 1.0.0rc2

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 3.rc1.3mdv2008.0-current
+ Revision: 22724
- rebuild for new vdr

* Fri Apr 20 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.rc1.2mdv
+ Revision: 16307
- 1.0.0rc1
- update URL
- update comments in sysconfig

* Wed Apr 18 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.pre7.4mdv2008.0
+ Revision: 14736
- rebuild for new xine-lib

* Tue Apr 17 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.pre7.3mdv2008.0
+ Revision: 14054
- rebuild for new xine-lib


* Mon Jan 29 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.pre7.2mdv2007.0
+ Revision: 115052
- rebuild for new xine-lib

* Sun Jan 21 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.pre7.1mdv2007.1
+ Revision: 111488
- 1.0.0pre7
- drop patch0, applied upstream
- add a comment into the sysconfig file

* Sun Dec 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-2.20061219.1mdv2007.1
+ Revision: 103004
- drop unneeded patch1
- rename packages around (again)
- shorter release to shorten rpm filename

* Fri Dec 22 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.20061219.1mdv2007.1
+ Revision: 101809
- svn snapshot
- make frontends to not require the plugin itself

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.3mdv2007.1
+ Revision: 90984
- rebuild for new vdr

* Mon Dec 04 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.2mdv2007.1
+ Revision: 90448
- rebuild for new xine

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.1mdv2007.1
+ Revision: 74519
- 1.0.0pre6
- patch0: fix typo in cast
- update filelist and configuration file

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre1.5mdv2007.1
+ Revision: 74472
- redirect stderr of xine-config to null instead of stdout
- fix output if xine-config not present during src build
- rebuild for new vdr
- Import vdr-plugin-xineliboutput

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.4mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.3mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.2mdv2007.0
- rebuild for new vdr

* Fri Jul 28 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.1mdv2007.0
- 1.0.0pre1
- combine few frontend packages to shorten package names again

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.99-2mdv2007.0
- rebuild for new vdr

* Thu Jul 13 2006 Anssi Hannula <anssi@mandriva.org> 0.99-1mdv2007.0
- 0.99 final

* Tue Jul 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.4mdv2007.0
- rebuild for xine-lib 1.1.2
- shorten package names

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.3mdv2007.0
- use _ prefix for system path macros

* Thu Jun 15 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.2mdv2007.0
- fix buildrequires

* Tue Jun 13 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.1mdv2007.0
- 0.99rc5
- drop patch1, patch2, fixed upstream
- improve description

* Mon Jun 12 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.3mdv2007.0
- fix empty version macro when libxine-devel not yet installed

* Mon Jun 12 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.2mdv2007.0
- fix requires of local frontends

* Mon Jun 12 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.1mdv2007.0
- initial Mandriva release

